# generic settings, pulled into a .d file so it's easy to share between bash and zsh
# Get me colors in ls
export CLICOLOR="yes"
export LSCOLORS="exgxcxDxCxEGEDcbcgExEx"

# Generic environment variables
export PAGER='less -M -X'
export EDITOR='vim'
export SVN_MERGE='svn-hgmerge.py'
export CVS_RSH='ssh'
export LESS="-R"

insert_path_element ~/unixSoft/bin
unset MANPATH # smart man(1)s autodetect that from PATH.

# Python stuff
export PYTHONSTARTUP="$HOME/.python/startup.py"

insert_element_into_var "$HOME/unixSoft/lib/python" PYTHONPATH
insert_element_into_var /opt/hg/lib/python PYTHONPATH

insert_path_element /opt/hg/bin

export HGRCPATH="$HOME/.hgrc:$HOME/.private/hgrc:$HOME/.hgrc-$(hostname)"
